<?php

namespace Drupal\eca_queue\Plugin\ECA\Event;

use Drupal\eca\Plugin\ECA\Event\EventBase;
use Drupal\eca_queue\Event\ProcessingTaskEvent;

/**
 * Plugin implementation for ECA Queue events.
 *
 * @EcaEvent(
 *   id = "eca_queue",
 *   deriver = "Drupal\eca_queue\Plugin\ECA\Event\QueueEventDeriver"
 * )
 */
class QueueEvent extends EventBase {

  /**
   * {@inheritdoc}
   */
  public function fields(): array {
    if ($this->drupalEventClass() === ProcessingTaskEvent::class) {
      return [
        [
          'name' => 'task_name',
          'label' => 'Task name',
          'type' => 'String',
        ],
        [
          'name' => 'task_value',
          'label' => 'Task value (optional)',
          'type' => 'String',
        ],
      ];
    }
    return parent::fields();
  }

}
