<?php

namespace Drupal\eca\Event;

/**
 * Interface for events that can determine appliance on their own.
 *
 * This is for events extending from\Drupal\Component\EventDispatcher\Event.
 */
interface ConditionalApplianceInterface {

  /**
   * Verifies if this event should be executed in the current context.
   *
   * @param string $id
   *   The id of the modeller event.
   * @param array $arguments
   *   The modeller event arguments.
   *
   * @return bool
   *   TRUE, if this event should be executed, FALSE otherwise.
   */
  public function applies(string $id, array $arguments): bool;

}
